#if !defined(AFX_DELETEHOLIDAYGROUP_H__7D2D3559_7BF0_4DCD_9D86_CBC326DF579C__INCLUDED_)
#define AFX_DELETEHOLIDAYGROUP_H__7D2D3559_7BF0_4DCD_9D86_CBC326DF579C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteHolidayGroup.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeleteHolidayGroup dialog

class CDeleteHolidayGroup : public CDialog
{
// Construction
public:
	CDeleteHolidayGroup(CWnd* pParent = NULL);   // standard constructor
	CDeleteHolidayGroup(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CDeleteHolidayGroup)
	enum { IDD = IDD_DIALOG_DELETEHOLGRP };
	CListBox	m_PanelList;
	CComboBox	m_AcctList;
	CComboBox	m_HolGrpList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteHolidayGroup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeleteHolidayGroup)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboAcctlist();
	afx_msg void OnButtonDelete();
	afx_msg void OnBtnIsolateHG();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	IApplicationPtr pApplication;
	IHolidayGroupPtr	pHolGrp;
	void LoadAccounts();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETEHOLIDAYGROUP_H__7D2D3559_7BF0_4DCD_9D86_CBC326DF579C__INCLUDED_)
